কনটেন্টে যান

CSM-1B

ইন্টিগ্রেট করুন

মডেল id csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈০.০৩$ ৩০ API ক্রেডিট এই পেজে চালান

API কী পান
Sesame টেক্সট থেকে স্পিচ #conversational#text-to-speech

কথোপকথনভিত্তিক টেক্সট-টু-স্পিচ মডেল, যা ঐচ্ছিক অডিও প্রসঙ্গসহ সংলাপের লাইনগুলোর একটি দৃশ্য গ্রহণ করে

Sesame · অডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক

অডিও জেনারেশনের সোর্স টেক্সট।

অ্যাডভান্সড context

অডিও জেনারেশনের সোর্স কনটেক্সট।

POST /run/csm-1b?wait=20 মূল্য → ০.০৩$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

CSM-1B সম্পর্কে

প্রয়োজনীয় `scene` থেকে স্পিচ তৈরি করে, যেখানে বলার জন্য টেক্সট ধারণকারী অবজেক্টের একটি অ্যারে থাকে। ঐচ্ছিক `context` অ্যারে আগের কথোপকথনের পালাগুলো সরবরাহ করে, যাতে বলার ধরন নির্ধারিত হয়। ফলাফল একটি একক অডিও আউটপুট। সংলাপধর্মী স্পিচের জন্য তৈরি।

প্যারামিটার

নামধরন ডিফল্টঅনুমোদিত বিবরণ
sceneআবশ্যক
ধরনobject[]
অডিও জেনারেশনের সোর্স টেক্সট।
scene[].speaker_idআবশ্যক
ধরনinteger
scene[].textআবশ্যক
ধরনstring
contextঐচ্ছিক
ধরনobject[]
অডিও জেনারেশনের সোর্স কনটেক্সট।
context[].promptআবশ্যক
ধরনstring
context[].speaker_idআবশ্যক
ধরনinteger
context[].audio_urlআবশ্যক
ধরনurl · audio
আবশ্যক

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "csm-1b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'm great, so happy to be speaking to you."
      }
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
audio
object {url, content_type, file_name, file_size} | stringমডেল দ্বারা তৈরি অডিও।

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/csm-1b.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt